Bug 20366 - More information about orders linked to subscriptions on "Acquisition details" tab
Summary: More information about orders linked to subscriptions on "Acquisition details...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20365
Blocks: 15184 21166
  Show dependency treegraph
 
Reported: 2018-03-09 12:00 UTC by Séverine Queune
Modified: 2018-09-05 10:55 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20366: Add new method Koha::Acquisition::Order->subscription (2.74 KB, patch)
2018-05-08 16:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group (5.68 KB, patch)
2018-05-08 16:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: Add subscription info to the acq tab on the biblio detail page (5.65 KB, patch)
2018-05-08 16:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: Add new method Koha::Acquisition::Order->subscription (2.72 KB, patch)
2018-08-02 13:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group (5.65 KB, patch)
2018-08-02 13:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20366: Add subscription info to the acq tab on the biblio detail page (5.64 KB, patch)
2018-08-02 13:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20366: (follow-up) Fix link to subscription (1.11 KB, patch)
2018-08-02 13:20 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20366: Add new method Koha::Acquisition::Order->subscription (2.78 KB, patch)
2018-08-02 16:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group (5.71 KB, patch)
2018-08-02 16:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20366: Add subscription info to the acq tab on the biblio detail page (5.70 KB, patch)
2018-08-02 16:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20366: (follow-up) Fix link to subscription (1.17 KB, patch)
2018-08-02 16:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20366: Add new method Koha::Acquisition::Order->subscription (2.89 KB, patch)
2018-08-06 21:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group (5.83 KB, patch)
2018-08-06 21:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: Add subscription info to the acq tab on the biblio detail page (5.81 KB, patch)
2018-08-06 21:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: (follow-up) Fix link to subscription (1.27 KB, patch)
2018-08-06 21:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: Add new method Koha::Acquisition::Order->subscription (2.89 KB, patch)
2018-08-22 00:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group (5.83 KB, patch)
2018-08-22 00:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: Add subscription info to the acq tab on the biblio detail page (6.31 KB, patch)
2018-08-22 00:54 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20366: (follow-up) Fix link to subscription (1.30 KB, patch)
2018-08-22 00:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2018-03-09 12:00:59 UTC
On the 'Acquisition detail' tab on bibliographic record, we cant' know if orders are placed on bibliographic or subscription level.
It is quite complicated when several subscriptions are attached to this record to have a clear history of the acquisitions.
It would be great for order managers if we could have 2 more columns on this tab, one with the 'aqorders.subsciptionid' and one with 'subscription.callnumber'.
Comment 1 Séverine Queune 2018-03-09 13:51:29 UTC
The BULAC (http://www.bulac.fr/) would like to sponsor this development !

As long as “Change sponsored?” is set on “Seeking developer”, anyone wanting to quote us for the development of such a feature or just ask for more information is welcome to write to us: <sigb@bulac.fr>.
Comment 2 Jonathan Druart 2018-05-08 16:50:51 UTC
Created attachment 75174 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Order->subscription

Can be moved to a separate bug report.
Comment 3 Jonathan Druart 2018-05-08 16:50:55 UTC
Created attachment 75175 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group

Can be moved to a separate bug report.
Comment 4 Jonathan Druart 2018-05-08 16:50:58 UTC
Created attachment 75176 [details] [review]
Bug 20366: Add subscription info to the acq tab on the biblio detail page

On the "Acquisition details" tab of the bibliographic detail page, the
subscription information are missing.
This patch replace the call to GetHistory with Koha::Acquisition::Orders
in order to simplify the code and make use of new Koha::
packages/methods.

TODO: Add column settings (show/hide columns) to this table (?)
Comment 5 Jonathan Druart 2018-05-08 17:44:08 UTC
Attached to test but will certainly need to be adjusted depending on the decisions from bug 20726.
Comment 6 Séverine Queune 2018-05-18 09:04:42 UTC
I was curious to see what it looks like, but can't apply patches.


$ git bz apply 20366
Bug 20366 - More information about orders linked to subscriptions on "Acquisition details" tab

75174 - Bug 20366: Add new method Koha::Acquisition::Order->subscription
75175 - Bug 20366: Add new method Koha::Acquisition::Basket->basket_group
75176 - Bug 20366: Add subscription info to the acq tab on the biblio detail page

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 20366: Add new method Koha::Acquisition::Order->subscription
fatal: sha1 information is lacking or useless (Koha/Acquisition/Order.pm).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 20366: Add new method Koha::Acquisition::Order->subscription
Comment 7 Jonathan Druart 2018-05-18 13:05:59 UTC
You need to apply patches from bug 20365 first, and so the ones from bug 20726 too.
Comment 8 Jonathan Druart 2018-07-23 19:56:17 UTC
I have pushed a branch to my gitlab repo to help testing:
https://gitlab.com/joubu/Koha/tree/bug_20366
Comment 9 Owen Leonard 2018-08-01 17:49:34 UTC
I get an error when I try to view detail.pl:

Template process failed: undef error - DBIx::Class::Storage::DBI::_dbh_execute(): Unknown column 'me.created_by' in 'field list' at /home/vagrant/kohaclone/Koha/Objects.pm line 269
 at /home/vagrant/kohaclone/C4/Templates.pm line 122
Comment 10 Jonathan Druart 2018-08-01 18:38:37 UTC
I do not recreate that, could you confirm you do not have this issue on master?
Or without patches from this bug, i.e. with patches from bug 20365?
Comment 11 Owen Leonard 2018-08-01 18:58:48 UTC
(In reply to Jonathan Druart from comment #10)
> Or without patches from this bug, i.e. with patches from bug 20365?

I have this problem on master, only happens after applying this patch set (not with the patch dependencies).
Comment 12 Jonathan Druart 2018-08-02 00:18:08 UTC
I guess you have some data inconsistencies, or the bug comes somewhere else. I do not see how it could be related to this bug (I may be wrong ofc).
Maybe you will get the same error browsing the acq module?

I am resetting to needs signoff in order to get other tests on it, let me know if you have more pointers to give me!
Comment 13 Josef Moravec 2018-08-02 13:20:46 UTC
Created attachment 77438 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Order->subscription

Can be moved to a separate bug report.
Comment 14 Josef Moravec 2018-08-02 13:20:50 UTC
Created attachment 77439 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group

Can be moved to a separate bug report.
Comment 15 Josef Moravec 2018-08-02 13:20:54 UTC
Created attachment 77440 [details] [review]
Bug 20366: Add subscription info to the acq tab on the biblio detail page

On the "Acquisition details" tab of the bibliographic detail page, the
subscription information are missing.
This patch replace the call to GetHistory with Koha::Acquisition::Orders
in order to simplify the code and make use of new Koha::
packages/methods.

TODO: Add column settings (show/hide columns) to this table (?)
Comment 16 Josef Moravec 2018-08-02 13:20:58 UTC
Created attachment 77441 [details] [review]
Bug 20366: (follow-up) Fix link to subscription
Comment 17 Katrin Fischer 2018-08-02 16:17:06 UTC
Created attachment 77452 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Order->subscription

Can be moved to a separate bug report.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Katrin Fischer 2018-08-02 16:17:11 UTC
Created attachment 77453 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group

Can be moved to a separate bug report.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 19 Katrin Fischer 2018-08-02 16:17:15 UTC
Created attachment 77454 [details] [review]
Bug 20366: Add subscription info to the acq tab on the biblio detail page

On the "Acquisition details" tab of the bibliographic detail page, the
subscription information are missing.
This patch replace the call to GetHistory with Koha::Acquisition::Orders
in order to simplify the code and make use of new Koha::
packages/methods.

TODO: Add column settings (show/hide columns) to this table (?)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 20 Katrin Fischer 2018-08-02 16:17:20 UTC
Created attachment 77455 [details] [review]
Bug 20366: (follow-up) Fix link to subscription

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 21 Jonathan Druart 2018-08-06 21:11:49 UTC
Created attachment 77508 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Order->subscription

Can be moved to a separate bug report.

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 22 Jonathan Druart 2018-08-06 21:11:53 UTC
Created attachment 77509 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group

Can be moved to a separate bug report.

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 23 Jonathan Druart 2018-08-06 21:11:58 UTC
Created attachment 77510 [details] [review]
Bug 20366: Add subscription info to the acq tab on the biblio detail page

On the "Acquisition details" tab of the bibliographic detail page, the
subscription information are missing.
This patch replace the call to GetHistory with Koha::Acquisition::Orders
in order to simplify the code and make use of new Koha::
packages/methods.

TODO: Add column settings (show/hide columns) to this table (?)

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 24 Jonathan Druart 2018-08-06 21:12:02 UTC
Created attachment 77511 [details] [review]
Bug 20366: (follow-up) Fix link to subscription

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 25 Jonathan Druart 2018-08-06 21:14:08 UTC
(In reply to Jonathan Druart from comment #4)
> TODO: Add column settings (show/hide columns) to this table (?)

See bug 21166
Comment 26 Jonathan Druart 2018-08-22 00:54:49 UTC
Created attachment 78070 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Order->subscription

Can be moved to a separate bug report.

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 27 Jonathan Druart 2018-08-22 00:54:53 UTC
Created attachment 78071 [details] [review]
Bug 20366: Add new method Koha::Acquisition::Basket->basket_group

Can be moved to a separate bug report.

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 28 Jonathan Druart 2018-08-22 00:54:58 UTC
Created attachment 78072 [details] [review]
Bug 20366: Add subscription info to the acq tab on the biblio detail page

On the "Acquisition details" tab of the bibliographic detail page, the
subscription information are missing.
This patch replace the call to GetHistory with Koha::Acquisition::Orders
in order to simplify the code and make use of new Koha::
packages/methods.

TODO: Add column settings (show/hide columns) to this table (?)

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 29 Jonathan Druart 2018-08-22 00:55:03 UTC
Created attachment 78073 [details] [review]
Bug 20366: (follow-up) Fix link to subscription

Sponsored-by: BULAC - http://www.bulac.fr/

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 30 Nick Clemens 2018-08-30 14:08:50 UTC
Awesome work all!

Pushed to master for 18.11
Comment 31 Martin Renvoize 2018-09-05 10:55:56 UTC
Enhancement, will not be backported to 18.05.x series.